PHP is amongst the most widely used object-oriented programming languages. It’s pretty popular since it is free software, which you can use to set up interactive sites like social networking websites, online stores or online learning portals as opposed to static HTML-based sites. A PHP module must be activated on the web server where a PHP-powered website is hosted so that its PHP code can be ‘decoded’. As there are no license charges for this kind of module and the language itself provides incalculable possibilities for the web-based applications that you develop, there’re 100s of millions of PHP sites. Plus, there’re a vast number of PHP scripts, which you can use for your websites without needing to have any coding skills. Given the fact that there’re a few versions of PHP, you have to verify if the exact same version that you used whilst setting up your site is activated on the server too.

PHP 4 and PHP 5 Support in Shared Hosting

Our shared hosting servers support several PHP versions, which suggests that your websites will work properly even if your PHP scripts are out of date. We accept the fact that an old site doesn’t inevitably imply a vulnerable one as you may have performed plenty of modifications to its source code. That is why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can decide which version will be active for your account. The version can be changed with one single click of the mouse inside your Hepsia hosting Control Panel and the new settings will be applied instantaneously. If you want to run both older and newer scripts, there’s even an option to use a different version of PHP for each of your domains at the same time.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

In case you have a website built using an earlier version of PHP and you’ve poured time and efforts into developing it, plugging security gaps and embedding web content, you’ll need to find a web hosting service that can support it, as the great majority of hosting providers today support only the most recently launched PHP version and drop the previous ones. We, however, have decided to permit you to choose the version that your own websites require. Our Linux semi-dedicated hosting support PHP 4 and multiple versions of PHP 5, which goes to say that you’ll be able to run both older and newer scripts without forfeiting any custom settings or wasting time and effort struggling to make your sites compatible with the hosting platform. You can change the version from the Hepsia hosting Control Panel and such a change will apply to the entire account, but you will also be able to set a different version of PHP for each single site hosted in your account using an .htaccess file.